-- ABS-67879
-- Adding unique constraints, are needed for conversion

declare
begin
  execute immediate 'alter table COUNTRY add constraint SKCOUNTRY unique (CODE)';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'alter table CURRENCY add constraint SKCURRENCY unique (CODE)';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'alter table BUSINESSUNIT add constraint XUNIQUEBUCODE unique (CODE)';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'alter table USERGROUP add constraint XAK1USERGROUP unique (GROUPNAME)';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'alter table REASONCODE add constraint XAK1REASONCODE unique (CODE)';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'alter table SIZEBILLINGGROUP add constraint XAK1SIZEBILLINGGROUP unique (CODE)';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'alter table DIALOGS add constraint XAK1DIALOGS unique (CODE)';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'alter table PLANT add constraint XAK2PLANT unique (CODE)';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'alter table LANGUAGES add constraint XAK2LANGUAGES unique (CODE)';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'alter table STOCKROOM add constraint STOCKROOMCODE unique (CODE)';
exception
  when others then
    null;
end;
/